petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMSetMatType

Sets the type of matrix created with DMCreateMatrix()

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMSetMatType(DM dm,MatType ctype)

Logically Collective on DM

### Input Parameter

| dm | - the DM context
| ctype | - the matrix type

### Options Database

| -dm_mat_type ctype | -

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateMatrix(), DMSetMatrixPreallocateOnly(), MatType, DMGetMatType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex44f.F90.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex35.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex58.c.html